Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 125690

Summary: gnupg ebuilds missing linux_kernel in IUSE
Product: Gentoo Linux Reporter: Chris Bainbridge (RETIRED) <chrb>
Component: New packagesAssignee: Crypto team [DISABLED] <crypto+disabled>
Status: RESOLVED WORKSFORME    
Severity: normal CC: rockoo
Priority: High    
Version: 1.0   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 113474    
Bug Blocks: 136665    

Description Chris Bainbridge (RETIRED) gentoo-dev 2006-03-10 03:13:16 UTC
repoman full also fails.
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2006-03-10 03:18:53 UTC
Not a gnupg bug, repoman needs to be fixed. This doesn't belong into IUSE.
Comment 2 Chris Bainbridge (RETIRED) gentoo-dev 2006-03-10 03:43:14 UTC
It's not just repoman. Emerge current says:

...
>>> md5 files   ;-) files/gnupg-1.4.2-jari.patch
>>> md5 src_uri ;-) gnupg-1.4.2.2.tar.bz2
QA Notice: USE Flag 'kernel_linux' not in IUSE for app-crypt/gnupg-1.4.2.2
Comment 3 Jakub Moc (RETIRED) gentoo-dev 2006-03-10 12:16:31 UTC
(In reply to comment #2)
> It's not just repoman. Emerge current says:
> 
> ...
> >>> md5 files   ;-) files/gnupg-1.4.2-jari.patch
> >>> md5 src_uri ;-) gnupg-1.4.2.2.tar.bz2
> QA Notice: USE Flag 'kernel_linux' not in IUSE for app-crypt/gnupg-1.4.2.2

More or less Bug 70648 

Comment 4 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-05-25 20:13:27 UTC
KERNEL is in USE_EXPAND_HIDDEN, you may now add it to IUSE.
Comment 5 Jakub Moc (RETIRED) gentoo-dev 2006-05-26 01:02:41 UTC

*** This bug has been marked as a duplicate of 70648 ***
Comment 6 Zac Medico gentoo-dev 2006-05-26 02:06:14 UTC
(In reply to comment #1)
> This doesn't belong into IUSE.

It does belong in IUSE.  IUSE is supposed to track *every* USE conditional within every ebuild.  However, this doesn't mean that the user has to see the these USE flags in the emerge output. That's why we have USE_EXPAND_HIDDEN which is available in >=portage-2.1_rc2-r1.  It has USE_EXPAND_HIDDEN="ELIBC KERNEL USERLAND" in make.globals so that users will not see kernel_linux in the emerge output.
Comment 7 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2006-09-30 13:59:01 UTC
This will be obsolete once bug #113474 is completed. as the need for IUSE=linux_kernel is going away.
Comment 8 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2006-09-30 14:07:53 UTC
in one month, when 1.4.5-r1 goes stable, this bug can be closed.
Comment 9 Jakub Moc (RETIRED) gentoo-dev 2007-01-01 13:23:50 UTC
1.4.5-r2 and/or 1.4.6 stable everywhere, closing this bug.